Package: wnpp
Followup-For: Bug #761442
Owner: Bas Couwenberg <>

* Package name    : node-readable-stream
  Version         : 1.0.33
  Upstream Author : Isaac Z. Schlueter <>
* URL             :
* License         : Expat
  Programming Lang: JavaScript
  Description     : Streams2, user-land copy of the stream library from Node.js 

readable-stream is a mirror of the Streams2 and Streams3 implementations in

If you want to guarantee a stable streams base, regardless of what version of
Node you, or the users of your libraries are using, use readable-stream only
and avoid the "stream" module in Node-core.

readable-stream comes in two major versions, v1.0.x and v1.1.x. The former
tracks the Streams2 implementation in Node 0.10, including bug-fixes and
minor improvements as they are added. The latter tracks Streams3 as it
develops in Node 0.11; for Node 0.12 you will likely see a v1.2.x branch.

node-readable-stream is required for node-decompress-zip (#779498) which in
turn is required for node-get-down (#779302).

The node-readable-stream package will be maintained in the JavaScript team.

Pkg-grass-devel mailing list

Reply via email to